<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.InnerComapnySpidMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="innerComapnySpidResultMap" type="org.springblade.finance.entity.InnerComapnySpid">
        <id column="DEAL_TYPE" property="dealType"/>
        <result column="COMPANY" property="company"/>
        <result column="SPID" property="spid"/>
        <result column="SPNAME" property="spname"/>
        <result column="SPNAME_PRM" property="spnamePrm"/>
        <result column="PRICE" property="price"/>
        <result column="DEAL_PRICE" property="dealPrice"/>
        <result column="ACCOUNT_STARTDATE" property="accountStartdate"/>
        <result column="ACCOUNT_ENDDATE" property="accountEnddate"/>
        <result column="IS_VALID" property="isValid"/>
        <result column="DATA_STARTDATE" property="dataStartdate"/>
        <result column="INPUTTER" property="inputter"/>
        <result column="INPUT_TIME" property="inputTime"/>
        <result column="CHECKER" property="checker"/>
        <result column="CHECK_TIME" property="checkTime"/>
        <result column="STATUS" property="status"/>
    </resultMap>


    <select id="selectInnerComapnySpidPage" resultMap="innerComapnySpidResultMap">
        select * from INNER_COMAPNY_SPID where is_deleted = 0
    </select>

</mapper>
